<?php

namespace dgsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for BookHotel StructType
 * @package Dg
 * @subpackage Structs
 */
class DgBookHotel extends AbstractStructBase
{
    /**
     * The OTA_HotelResRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgOTA_HotelResRQ
     */
    public $OTA_HotelResRQ;
    /**
     * Constructor method for BookHotel
     * @uses DgBookHotel::setOTA_HotelResRQ()
     * @param \dgsoft\StructType\DgOTA_HotelResRQ $oTA_HotelResRQ
     */
    public function __construct(\dgsoft\StructType\DgOTA_HotelResRQ $oTA_HotelResRQ = null)
    {
        $this
            ->setOTA_HotelResRQ($oTA_HotelResRQ);
    }
    /**
     * Get OTA_HotelResRQ value
     * @return \dgsoft\StructType\DgOTA_HotelResRQ|null
     */
    public function getOTA_HotelResRQ()
    {
        return $this->OTA_HotelResRQ;
    }
    /**
     * Set OTA_HotelResRQ value
     * @param \dgsoft\StructType\DgOTA_HotelResRQ $oTA_HotelResRQ
     * @return \dgsoft\StructType\DgBookHotel
     */
    public function setOTA_HotelResRQ(\dgsoft\StructType\DgOTA_HotelResRQ $oTA_HotelResRQ = null)
    {
        $this->OTA_HotelResRQ = $oTA_HotelResRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \dgsoft\StructType\DgBookHotel
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
